Bug 400641 - SELinux prevents gdm from accessing NFS home folder
SELinux prevents gdm from accessing NFS home folder
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-27 04:15 EST by Trond Danielsen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-28 08:26:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trond Danielsen 2007-11-27 04:15:23 EST
Description of problem:
SELinux prevents gdm from accessing NFS home folder. Home folder is mounted
under /export/home and users are authenticated agains a LDAP server.

SELinux context of relevant folder:
drwxr-xr-x  root root system_u:object_r:default_t:s0   /export
drwxr-xr-x  root root system_u:object_r:nfs_t:s0       /export/home

I assume that relabeling it to user_home_dir_t would solve this, but I though
setting the use_nfs_home_dir boolean should fix this.

Version-Release number of selected component (if applicable):
Fully up2date Fedora 8 x86_64

How reproducible:
Every time (reinstall, relabel etc does not help)

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2007-11-28 08:26:22 EST
# semanage fcontext -a -t home_root_t /export
# restorecon -v /export

Should fix it .

Note You need to log in before you can comment on or make changes to this bug.